---
url: https://next.zammad.org/it/reference/rest-api/intro.md
---

# Introduzione

Zammad fornisce una potente REST-API\[^1] che permette tutte le operazioni
disponibili tramite.

Questa pagina ti dà una prima impressione delle cose che generalmente
valgono per tutti gli endpoint.

## Client API

Sono disponibili client API. Tieni presente che questi client potrebbero non
fornire accesso a.

* [Client
  Ruby](https://github.com/zammad/zammad-api-client-ruby){target=\_blank}
  (ufficiale)
* [Client
  PHP](https://github.com/zammad/zammad-api-client-php){target=\_blank}
  (ufficiale)
* [Client Python](https://pypi.org/project/zammad-py/){target=\_blank} (terze
  parti)
* [Client .NET](https://github.com/Asesjix/Zammad-Client){target=\_blank}
  (terze parti)
* [Client API
  Android](https://github.com/KirkBushman/zammad-android){target=\_blank}
  (terze parti)
* [Go Client](https://github.com/AlessandroSechi/zammad-go){target=\_blank}
  (terza parte; solo client API, nessuna applicazione “pronta all’uso”)

## Autenticazione

Zammad supporta tre diversi metodi di autenticazione per la sua API.

### HTTP basic authentication (username/password)

Il nome utente / password deve essere fornito come intestazione HTTP nella
chiamata HTTP. Questa autenticazione.

```sh
curl -u {username}:{password} https://{fqdn}/{endpoint}
```

::: warning
Sconsigliamo vivamente di usare l'autenticazione di base. Usa i token
di accesso ogni volta che possibile.
:::

### HTTP token authentication (access token)

Il token di accesso deve essere fornito come intestazione HTTP nella
chiamata HTTP. Ogni utente può creare.

```sh
curl -H "Authorization: Token token={your_token}" https://{fqdn}/{endpoint}
```

### OAuth2 (accesso token)

Il token deve essere fornito come intestazione HTTP nelle tue
chiamate. Questo permette ad applicazioni di terze parti.

```sh
curl -H "Authorization: Bearer {your_token}" https://{fqdn}/{endpoint}
```

## Endpoints and example data

Per semplicità non forniremo comandi specifici nelle pagine successive, ma
diremo invece.

Il formato della risposta sarà una risposta JSON completa da un'istanza
Zammad predefinita.

## Content type

Zammad restituisce payload JSON ogni volta che recuperi dati. Se intendi
fornire dati,.

## Response payloads (expand)

Zammad restituisce sempre informazioni inclusi suggerimenti a tutte le
relazioni. Se hai bisogno di maggiori informazioni.

Questo switch fornirà ancora più informazioni - almeno relazioni con nome
oltre agli ID.

**Payload utente:**

:::: details
::: tabs

\=== expand=true

```json
// HTTP-Code 200 OK

{
  "id": 2,
  "organization_id": 1,
  "login": "nicole.braun@zammad.org",
  "firstname": "Nicole",
  "lastname": "Braun",
  "email": "nicole.braun@zammad.org",
  "image": null,
  "image_source": null,
  "web": "",
  "phone": "",
  "fax": "",
  "mobile": "",
  "department": "",
  "street": "",
  "zip": "",
  "city": "",
  "country": "",
  "address": "",
  "vip": false,
  "verified": false,
  "active": true,
  "note": "",
  "last_login": null,
  "source": null,
  "login_failed": 0,
  "out_of_office": false,
  "out_of_office_start_at": null,
  "out_of_office_end_at": null,
  "out_of_office_replacement_id": null,
  "preferences": {
    "tickets_closed": 0,
    "tickets_open": 2
  },
  "updated_by_id": 3,
  "created_by_id": 1,
  "created_at": "2025-06-27T08:35:34.872Z",
  "updated_at": "2025-07-02T11:46:41.840Z",
  "role_ids": [
    3
  ],
  "two_factor_preference_ids": [],
  "organization_ids": [],
  "authorization_ids": [],
  "overview_sorting_ids": [],
  "group_ids": {},
  "roles": [
    "Customer"
  ],
  "two_factor_preferences": [],
  "organizations": [],
  "authorizations": [],
  "overview_sortings": [],
  "organization": "Zammad Foundation",
  "groups": {},
  "created_by": "-",
  "updated_by": "admin@example.com"
}
```

\=== expand=false

```json
// HTTP-Code 200 OK

{
  "id": 2,
  "organization_id": 1,
  "login": "nicole.braun@zammad.org",
  "firstname": "Nicole",
  "lastname": "Braun",
  "email": "nicole.braun@zammad.org",
  "image": null,
  "image_source": null,
  "web": "",
  "phone": "",
  "fax": "",
  "mobile": "",
  "department": "",
  "street": "",
  "zip": "",
  "city": "",
  "country": "",
  "address": "",
  "vip": false,
  "verified": false,
  "active": true,
  "note": "",
  "last_login": null,
  "source": null,
  "login_failed": 0,
  "out_of_office": false,
  "out_of_office_start_at": null,
  "out_of_office_end_at": null,
  "out_of_office_replacement_id": null,
  "preferences": {
    "tickets_closed": 0,
    "tickets_open": 2
  },
  "updated_by_id": 3,
  "created_by_id": 1,
  "created_at": "2025-06-27T08:35:34.872Z",
  "updated_at": "2025-07-02T11:46:41.840Z",
  "role_ids": [
    3
  ],
  "two_factor_preference_ids": [],
  "organization_ids": [],
  "authorization_ids": [],
  "overview_sorting_ids": [],
  "group_ids": {}
}
```

:::
::::

**Payload ticket:**

:::: details
::: tabs

\=== expand=true

```json
// HTTP-Code 200 OK

{
  "id": 1,
  "group_id": 1,
  "priority_id": 2,
  "state_id": 1,
  "organization_id": 1,
  "number": "97001",
  "title": "Welcome to Zammad!",
  "owner_id": 1,
  "customer_id": 2,
  "note": null,
  "first_response_at": null,
  "first_response_escalation_at": null,
  "first_response_in_min": null,
  "first_response_diff_in_min": null,
  "close_at": null,
  "close_escalation_at": null,
  "close_in_min": null,
  "close_diff_in_min": null,
  "update_escalation_at": null,
  "update_in_min": null,
  "update_diff_in_min": null,
  "last_close_at": null,
  "last_contact_at": "2025-06-27T08:35:35.210Z",
  "last_contact_agent_at": null,
  "last_contact_customer_at": "2025-06-27T08:35:35.210Z",
  "last_owner_update_at": null,
  "create_article_type_id": 5,
  "create_article_sender_id": 2,
  "article_count": 1,
  "escalation_at": null,
  "pending_time": null,
  "type": null,
  "time_unit": null,
  "preferences": {},
  "updated_by_id": 2,
  "created_by_id": 2,
  "created_at": "2025-06-27T08:35:35.005Z",
  "updated_at": "2025-06-27T08:35:35.306Z",
  "checklist_id": null,
  "referencing_checklist_ids": [],
  "article_ids": [
    1
  ],
  "ticket_time_accounting_ids": [],
  "ai_stored_result_ids": [
    1,
    4
  ],
  "referencing_checklists": [],
  "group": "Users",
  "organization": "Zammad Foundation",
  "ticket_time_accounting": [],
  "state": "new",
  "priority": "2 normal",
  "owner": "-",
  "customer": "nicole.braun@zammad.org",
  "created_by": "nicole.braun@zammad.org",
  "updated_by": "nicole.braun@zammad.org",
  "create_article_type": "phone",
  "create_article_sender": "Customer"
}
```

\=== expand=false

```json
// HTTP-Code 200 OK

{
  "id": 1,
  "group_id": 1,
  "priority_id": 2,
  "state_id": 1,
  "organization_id": 1,
  "number": "97001",
  "title": "Welcome to Zammad!",
  "owner_id": 1,
  "customer_id": 2,
  "note": null,
  "first_response_at": null,
  "first_response_escalation_at": null,
  "first_response_in_min": null,
  "first_response_diff_in_min": null,
  "close_at": null,
  "close_escalation_at": null,
  "close_in_min": null,
  "close_diff_in_min": null,
  "update_escalation_at": null,
  "update_in_min": null,
  "update_diff_in_min": null,
  "last_close_at": null,
  "last_contact_at": "2025-06-27T08:35:35.210Z",
  "last_contact_agent_at": null,
  "last_contact_customer_at": "2025-06-27T08:35:35.210Z",
  "last_owner_update_at": null,
  "create_article_type_id": 5,
  "create_article_sender_id": 2,
  "article_count": 1,
  "escalation_at": null,
  "pending_time": null,
  "type": null,
  "time_unit": null,
  "preferences": {},
  "updated_by_id": 2,
  "created_by_id": 2,
  "created_at": "2025-06-27T08:35:35.005Z",
  "updated_at": "2025-06-27T08:35:35.306Z",
  "checklist_id": null
}
```

:::
::::

::: tip
Tieni presente che i Flussi di lavoro principali potrebbero limitare l'accesso ad attributi o
valori.
:::

## Paginazione

Poiché Zammad limita il numero di oggetti restituiti per motivi di
prestazioni, potresti dover.

::: info
**Numero di oggetti restituiti:** Zammad ha limiti rigidi per il
numero massimo di oggetti restituiti.
:::

To use pagination you'll need two get options: `per_page` and
`page`. Combine them to receive 5 results from the first result page:
`?page=1&per_page=5` - increase page count to get more results.

## Ricerca tramite API

### Endpoint search

Alcuni endpoint supportano una query di ricerca. Questi sono:

* [Audit Log](audit-log)
* [Groups](group)
* [Organizations](organization)
* [Roles](role)
* [Tickets](ticket)
* [Users](user)

I seguenti endpoint supportano anche una query di ricerca, ma non sono
esplicitamente trattati.

* Sessioni chat
* Base di conoscenza
* Macro
* Panoramica
* Modelli
* Modulo di testo

#### Search example

Richiesta `GET` inviata: `/api/v1/tickets/search?query=welcome`

```json
// HTTP-Code 200 OK

[
  {
    "id": 1,
    "group_id": 1,
    "priority_id": 2,
    "state_id": 1,
    "organization_id": 1,
    "number": "20001",
    "title": "Welcome to Zammad!",
    "owner_id": 1,
    "customer_id": 2,
    "note": null,
    "first_response_at": null,
    "first_response_escalation_at": null,
    "first_response_in_min": null,
    "first_response_diff_in_min": null,
    "close_at": null,
    "close_escalation_at": null,
    "close_in_min": null,
    "close_diff_in_min": null,
    "update_escalation_at": null,
    "update_in_min": null,
    "update_diff_in_min": null,
    "last_close_at": null,
    "last_contact_at": "2025-01-14T07:45:08.726Z",
    "last_contact_agent_at": null,
    "last_contact_customer_at": "2025-01-14T07:45:08.726Z",
    "last_owner_update_at": null,
    "create_article_type_id": 5,
    "create_article_sender_id": 2,
    "article_count": 1,
    "escalation_at": null,
    "pending_time": null,
    "type": null,
    "time_unit": null,
    "preferences": {},
    "updated_by_id": 2,
    "created_by_id": 2,
    "created_at": "2025-01-14T07:45:08.681Z",
    "updated_at": "2025-01-14T07:45:08.790Z",
    "checklist_id": null,
    "referencing_checklist_ids": [],
    "article_ids": [
      1
    ],
    "ticket_time_accounting_ids": []
  }
]
```

#### Expand parameter

Se vuoi avere informazioni correlate aggiuntive, puoi usare il parametro
`expand`. Usa.

Richiesta `GET` inviata: `/api/v1/tickets/search?query=welcome&expand=true`

```json
// HTTP-Code 200 OK

[
  {
    "id": 1,
    "group_id": 1,
    "priority_id": 2,
    "state_id": 1,
    "organization_id": 1,
    "number": "20001",
    "title": "Welcome to Zammad!",
    "owner_id": 1,
    "customer_id": 2,
    "note": null,
    "first_response_at": null,
    "first_response_escalation_at": null,
    "first_response_in_min": null,
    "first_response_diff_in_min": null,
    "close_at": null,
    "close_escalation_at": null,
    "close_in_min": null,
    "close_diff_in_min": null,
    "update_escalation_at": null,
    "update_in_min": null,
    "update_diff_in_min": null,
    "last_close_at": null,
    "last_contact_at": "2025-01-14T07:45:08.726Z",
    "last_contact_agent_at": null,
    "last_contact_customer_at": "2025-01-14T07:45:08.726Z",
    "last_owner_update_at": null,
    "create_article_type_id": 5,
    "create_article_sender_id": 2,
    "article_count": 1,
    "escalation_at": null,
    "pending_time": null,
    "type": null,
    "time_unit": null,
    "preferences": {},
    "updated_by_id": 2,
    "created_by_id": 2,
    "created_at": "2025-01-14T07:45:08.681Z",
    "updated_at": "2025-01-14T07:45:08.790Z",
    "checklist_id": null,
    "referencing_checklist_ids": [],
    "article_ids": [
      1
    ],
    "ticket_time_accounting_ids": [],
    "referencing_checklists": [],
    "group": "Users",
    "organization": "Zammad Foundation",
    "ticket_time_accounting": [],
    "state": "new",
    "priority": "2 normal",
    "owner": "-",
    "customer": "nicole.braun@zammad.org",
    "created_by": "nicole.braun@zammad.org",
    "updated_by": "nicole.braun@zammad.org",
    "create_article_type": "phone",
    "create_article_sender": "Customer"
  }
]
```

#### Full parameter

Puoi anche estendere la risposta usando il parametro `full`. Tieni presente
che questa risposta.

Richiesta `GET` inviata: `/api/v1/tickets/search?query=welcome&full=true`

```json
// HTTP-Code 200 OK

{
  "record_ids": [
    1
  ],
  "assets": {
    "Ticket": {
      "1": {
        "id": 1,
        "group_id": 1,
        "priority_id": 2,
        "state_id": 1,
        "organization_id": 1,
        "number": "20001",
        "title": "Welcome to Zammad!",
        "owner_id": 1,
        "customer_id": 2,
        "note": null,
        "first_response_at": null,
        "first_response_escalation_at": null,
        "first_response_in_min": null,
        "first_response_diff_in_min": null,
        "close_at": null,
        "close_escalation_at": null,
        "close_in_min": null,
        "close_diff_in_min": null,
        "update_escalation_at": null,
        "update_in_min": null,
        "update_diff_in_min": null,
        "last_close_at": null,
        "last_contact_at": "2025-01-14T07:45:08.726Z",
        "last_contact_agent_at": null,
        "last_contact_customer_at": "2025-01-14T07:45:08.726Z",
        "last_owner_update_at": null,
        "create_article_type_id": 5,
        "create_article_sender_id": 2,
        "article_count": 1,
        "escalation_at": null,
        "pending_time": null,
        "type": null,
        "time_unit": null,
        "preferences": {},
        "updated_by_id": 2,
        "created_by_id": 2,
        "created_at": "2025-01-14T07:45:08.681Z",
        "updated_at": "2025-01-14T07:45:08.790Z",
        "checklist_id": null,
        "referencing_checklist_ids": [],
        "article_ids": [
          1
        ],
        "ticket_time_accounting_ids": []
      }
    },
    "Group": {
      "1": {
        "id": 1,
        "signature_id": 1,
        "email_address_id": 1,
        "name": "Users",
        "name_last": "Users",
        "parent_id": null,
        "assignment_timeout": null,
        "follow_up_possible": "yes",
        "reopen_time_in_days": null,
        "follow_up_assignment": true,
        "active": true,
        "shared_drafts": true,
        "note": "Standard Group/Pool for Tickets.",
        "updated_by_id": 3,
        "created_by_id": 1,
        "created_at": "2025-01-14T07:45:08.274Z",
        "updated_at": "2025-01-14T07:46:20.513Z",
        "user_ids": [
          3
        ]
      },
      "2": {
        "id": 2,
        "signature_id": null,
        "email_address_id": null,
        "name": "Support",
        "name_last": "Support",
        "parent_id": null,
        "assignment_timeout": null,
        "follow_up_possible": "yes",
        "reopen_time_in_days": null,
        "follow_up_assignment": true,
        "active": true,
        "shared_drafts": true,
        "note": null,
        "updated_by_id": 3,
        "created_by_id": 3,
        "created_at": "2025-01-14T07:46:20.548Z",
        "updated_at": "2025-01-14T07:46:20.636Z",
        "user_ids": [
          4,
          10,
          3
        ]
      },
      "3": {
        "id": 3,
        "signature_id": null,
        "email_address_id": null,
        "name": "Support::1st Level",
        "name_last": "1st Level",
        "parent_id": 2,
        "assignment_timeout": null,
        "follow_up_possible": "yes",
        "reopen_time_in_days": null,
        "follow_up_assignment": true,
        "active": true,
        "shared_drafts": true,
        "note": null,
        "updated_by_id": 3,
        "created_by_id": 3,
        "created_at": "2025-01-14T07:46:20.696Z",
        "updated_at": "2025-01-14T07:46:20.895Z",
        "user_ids": [
          7,
          6,
          8,
          4,
          9,
          5,
          10,
          3
        ]
      },
      "4": {
        "id": 4,
        "signature_id": null,
        "email_address_id": null,
        "name": "Support::2nd Level",
        "name_last": "2nd Level",
        "parent_id": 2,
        "assignment_timeout": null,
        "follow_up_possible": "yes",
        "reopen_time_in_days": null,
        "follow_up_assignment": true,
        "active": true,
        "shared_drafts": true,
        "note": null,
        "updated_by_id": 3,
        "created_by_id": 3,
        "created_at": "2025-01-14T07:46:20.946Z",
        "updated_at": "2025-01-14T07:46:21.085Z",
        "user_ids": [
          7,
          6,
          4,
          5,
          10,
          3
        ]
      },
      "5": {
        "id": 5,
        "signature_id": null,
        "email_address_id": null,
        "name": "Sales",
        "name_last": "Sales",
        "parent_id": null,
        "assignment_timeout": null,
        "follow_up_possible": "yes",
        "reopen_time_in_days": null,
        "follow_up_assignment": true,
        "active": true,
        "shared_drafts": true,
        "note": null,
        "updated_by_id": 3,
        "created_by_id": 3,
        "created_at": "2025-01-14T07:46:21.149Z",
        "updated_at": "2025-01-14T07:46:21.249Z",
        "user_ids": [
          14,
          13,
          10,
          3
        ]
      },
      "6": {
        "id": 6,
        "signature_id": null,
        "email_address_id": null,
        "name": "Logistics Department",
        "name_last": "Logistics Department",
        "parent_id": null,
        "assignment_timeout": null,
        "follow_up_possible": "yes",
        "reopen_time_in_days": null,
        "follow_up_assignment": true,
        "active": true,
        "shared_drafts": true,
        "note": null,
        "updated_by_id": 3,
        "created_by_id": 3,
        "created_at": "2025-01-14T07:46:21.307Z",
        "updated_at": "2025-01-14T07:46:21.389Z",
        "user_ids": [
          13,
          10,
          3
        ]
      },
      "7": {
        "id": 7,
        "signature_id": null,
        "email_address_id": null,
        "name": "Logistics Department::Shipping",
        "name_last": "Shipping",
        "parent_id": 6,
        "assignment_timeout": null,
        "follow_up_possible": "yes",
        "reopen_time_in_days": null,
        "follow_up_assignment": true,
        "active": true,
        "shared_drafts": true,
        "note": null,
        "updated_by_id": 3,
        "created_by_id": 3,
        "created_at": "2025-01-14T07:46:21.447Z",
        "updated_at": "2025-01-14T07:46:21.531Z",
        "user_ids": [
          13,
          10,
          3
        ]
      },
      "8": {
        "id": 8,
        "signature_id": null,
        "email_address_id": null,
        "name": "Logistics Department::Returns Processing",
        "name_last": "Returns Processing",
        "parent_id": 6,
        "assignment_timeout": null,
        "follow_up_possible": "yes",
        "reopen_time_in_days": null,
        "follow_up_assignment": true,
        "active": true,
        "shared_drafts": true,
        "note": null,
        "updated_by_id": 3,
        "created_by_id": 3,
        "created_at": "2025-01-14T07:46:21.570Z",
        "updated_at": "2025-01-14T07:46:21.633Z",
        "user_ids": [
          13,
          10,
          3
        ]
      },
      "9": {
        "id": 9,
        "signature_id": null,
        "email_address_id": null,
        "name": "IT Internal",
        "name_last": "IT Internal",
        "parent_id": null,
        "assignment_timeout": null,
        "follow_up_possible": "yes",
        "reopen_time_in_days": null,
        "follow_up_assignment": true,
        "active": true,
        "shared_drafts": true,
        "note": null,
        "updated_by_id": 3,
        "created_by_id": 3,
        "created_at": "2025-01-14T07:46:21.673Z",
        "updated_at": "2025-01-14T07:46:21.761Z",
        "user_ids": [
          11,
          10,
          3
        ]
      },
      "10": {
        "id": 10,
        "signature_id": null,
        "email_address_id": null,
        "name": "IT Internal::Infrastructure",
        "name_last": "Infrastructure",
        "parent_id": 9,
        "assignment_timeout": null,
        "follow_up_possible": "yes",
        "reopen_time_in_days": null,
        "follow_up_assignment": true,
        "active": true,
        "shared_drafts": true,
        "note": null,
        "updated_by_id": 3,
        "created_by_id": 3,
        "created_at": "2025-01-14T07:46:21.813Z",
        "updated_at": "2025-01-14T07:46:21.881Z",
        "user_ids": [
          11,
          10,
          3
        ]
      },
      "11": {
        "id": 11,
        "signature_id": null,
        "email_address_id": null,
        "name": "IT Internal::IT Support",
        "name_last": "IT Support",
        "parent_id": 9,
        "assignment_timeout": null,
        "follow_up_possible": "yes",
        "reopen_time_in_days": null,
        "follow_up_assignment": true,
        "active": true,
        "shared_drafts": true,
        "note": null,
        "updated_by_id": 3,
        "created_by_id": 3,
        "created_at": "2025-01-14T07:46:21.932Z",
        "updated_at": "2025-01-14T07:46:21.995Z",
        "user_ids": [
          12,
          10,
          3
        ]
      }
    },
    "User": {
      "1": {
        "id": 1,
        "organization_id": null,
        "login": "-",
        "firstname": "-",
        "lastname": "",
        "email": "",
        "image": null,
        "image_source": null,
        "web": "",
        "phone": "",
        "fax": "",
        "mobile": "",
        "department": "",
        "street": "",
        "zip": "",
        "city": "",
        "country": "",
        "address": "",
        "vip": false,
        "verified": false,
        "active": false,
        "note": "",
        "last_login": null,
        "source": null,
        "login_failed": 0,
        "out_of_office": false,
        "out_of_office_start_at": null,
        "out_of_office_end_at": null,
        "out_of_office_replacement_id": null,
        "preferences": {},
        "updated_by_id": 1,
        "created_by_id": 1,
        "created_at": "2025-01-14T07:45:07.542Z",
        "updated_at": "2025-01-14T07:45:07.542Z",
        "role_ids": [],
        "two_factor_preference_ids": [],
        "organization_ids": [],
        "authorization_ids": [],
        "overview_sorting_ids": [],
        "group_ids": {}
      },
      "3": {
        "id": 3,
        "organization_id": 2,
        "login": "lauren@fastlane.inc",
        "firstname": "Lauren",
        "lastname": "Brooks",
        "email": "lauren@fastlane.inc",
        "image": "775c807d577dbd6bd95569ec1872f338",
        "image_source": null,
        "web": "",
        "phone": "",
        "fax": "",
        "mobile": "",
        "department": null,
        "street": "",
        "zip": "",
        "city": "",
        "country": "",
        "address": null,
        "vip": false,
        "verified": false,
        "active": true,
        "note": "",
        "last_login": "2025-01-14T07:46:54.082Z",
        "source": null,
        "login_failed": 0,
        "out_of_office": false,
        "out_of_office_start_at": null,
        "out_of_office_end_at": null,
        "out_of_office_replacement_id": null,
        "preferences": {
          "intro": true,
          "keyboard_shortcuts_clues": true,
          "notification_config": {
            "matrix": {
              "create": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": true,
                  "subscribed": true,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              },
              "update": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": true,
                  "subscribed": true,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              },
              "reminder_reached": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": false,
                  "subscribed": false,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              },
              "escalation": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": false,
                  "subscribed": false,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              }
            }
          },
        "locale": "en-us"
        },
        "updated_by_id": 3,
        "created_by_id": 1,
        "created_at": "2025-01-14T07:46:17.855Z",
        "updated_at": "2025-01-14T07:46:58.108Z",
        "role_ids": [
          2,
          1
        ],
        "two_factor_preference_ids": [],
        "organization_ids": [],
        "authorization_ids": [],
        "overview_sorting_ids": [],
        "group_ids": {
          "1": [
          "full"
          ],
          "2": [
          "full"
          ],
          "3": [
          "full"
          ],
          "4": [
          "full"
          ],
          "5": [
          "full"
          ],
          "6": [
          "full"
          ],
          "7": [
          "full"
          ],
          "8": [
          "full"
          ],
          "9": [
          "full"
          ],
          "10": [
          "full"
          ],
          "11": [
          "full"
          ]
        }
      },
      "4": {
        "id": 4,
        "organization_id": 2,
        "login": "ethan@fastlane.inc",
        "firstname": "Ethan",
        "lastname": "Kwan",
        "email": "ethan@fastlane.inc",
        "image": "3c3a37e93647e40c595937e336953de8",
        "image_source": null,
        "web": "",
        "phone": "",
        "fax": "",
        "mobile": "",
        "department": null,
        "street": "",
        "zip": "",
        "city": "",
        "country": "",
        "address": null,
        "vip": false,
        "verified": false,
        "active": true,
        "note": "",
        "last_login": null,
        "source": null,
        "login_failed": 0,
        "out_of_office": false,
        "out_of_office_start_at": null,
        "out_of_office_end_at": null,
        "out_of_office_replacement_id": null,
        "preferences": {
          "intro": true,
          "keyboard_shortcuts_clues": true,
          "notification_config": {
            "matrix": {
              "create": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": true,
                  "subscribed": true,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              },
              "update": {
                  "criteria": {
                    "owned_by_me": true,
                    "owned_by_nobody": true,
                    "subscribed": true,
                    "no": false
                  },
                  "channel": {
                    "email": true,
                    "online": true
                  }
              },
              "reminder_reached": {
                  "criteria": {
                    "owned_by_me": true,
                    "owned_by_nobody": false,
                    "subscribed": false,
                    "no": false
                  },
                  "channel": {
                    "email": true,
                    "online": true
                  }
              },
              "escalation": {
                  "criteria": {
                    "owned_by_me": true,
                    "owned_by_nobody": false,
                    "subscribed": false,
                    "no": false
                  },
                "channel": {
                  "email": true,
                  "online": true
                }
              }
            }
          }
        },
        "updated_by_id": 3,
        "created_by_id": 3,
        "created_at": "2025-01-14T07:46:18.901Z",
        "updated_at": "2025-01-14T07:46:26.067Z",
        "role_ids": [
          2
        ],
        "two_factor_preference_ids": [],
        "organization_ids": [],
        "authorization_ids": [],
        "overview_sorting_ids": [],
        "group_ids": {
          "2": [
          "full"
          ],
          "3": [
          "full"
          ],
          "4": [
          "full"
          ]
        }
      },
      "5": {
        "id": 5,
        "organization_id": 2,
        "login": "julian@fastlane.inc",
        "firstname": "Julian",
        "lastname": "Reyes",
        "email": "julian@fastlane.inc",
        "image": "5ead44f8048cd52d94198bbb7aa1c0cc",
        "image_source": null,
        "web": "",
        "phone": "",
        "fax": "",
        "mobile": "",
        "department": null,
        "street": "",
        "zip": "",
        "city": "",
        "country": "",
        "address": null,
        "vip": false,
        "verified": false,
        "active": true,
        "note": "",
        "last_login": null,
        "source": null,
        "login_failed": 0,
        "out_of_office": false,
        "out_of_office_start_at": null,
        "out_of_office_end_at": null,
        "out_of_office_replacement_id": null,
        "preferences": {
          "intro": true,
          "keyboard_shortcuts_clues": true,
          "notification_config": {
            "matrix": {
              "create": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": true,
                  "subscribed": true,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              },
              "update": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": true,
                  "subscribed": true,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              },
              "reminder_reached": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": false,
                  "subscribed": false,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              },
              "escalation": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": false,
                  "subscribed": false,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              }
            }
          }
        },
        "updated_by_id": 3,
        "created_by_id": 3,
        "created_at": "2025-01-14T07:46:19.051Z",
        "updated_at": "2025-01-14T07:46:26.113Z",
        "role_ids": [
          2
        ],
        "two_factor_preference_ids": [],
        "organization_ids": [],
        "authorization_ids": [],
        "overview_sorting_ids": [],
        "group_ids": {
          "3": [
            "full"
          ],
          "4": [
            "full"
          ]
        }
      },
      "6": {
        "id": 6,
        "organization_id": 2,
        "login": "thomas@fastlane.inc",
        "firstname": "Thomas",
        "lastname": "Lee",
        "email": "thomas@fastlane.inc",
        "image": "32340889dbe9bc093f9304d1f708ca6f",
        "image_source": null,
        "web": "",
        "phone": "",
        "fax": "",
        "mobile": "",
        "department": null,
        "street": "",
        "zip": "",
        "city": "",
        "country": "",
        "address": null,
        "vip": false,
        "verified": false,
        "active": true,
        "note": "",
        "last_login": null,
        "source": null,
        "login_failed": 0,
        "out_of_office": false,
        "out_of_office_start_at": null,
        "out_of_office_end_at": null,
        "out_of_office_replacement_id": null,
        "preferences": {
          "intro": true,
          "keyboard_shortcuts_clues": true,
          "notification_config": {
            "matrix": {
              "create": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": true,
                  "subscribed": true,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              },
              "update": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": true,
                  "subscribed": true,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              },
              "reminder_reached": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": false,
                  "subscribed": false,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              },
              "escalation": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": false,
                  "subscribed": false,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              }
            }
          }
        },
        "updated_by_id": 3,
        "created_by_id": 3,
        "created_at": "2025-01-14T07:46:19.161Z",
        "updated_at": "2025-01-14T07:46:26.156Z",
        "role_ids": [
          2
        ],
        "two_factor_preference_ids": [],
        "organization_ids": [],
        "authorization_ids": [],
        "overview_sorting_ids": [],
        "group_ids": {
          "3": [
            "full"
          ],
          "4": [
            "full"
          ]
        }
      },
      "7": {
        "id": 7,
        "organization_id": 2,
        "login": "liam@fastlane.inc",
        "firstname": "Liam",
        "lastname": "Chen",
        "email": "liam@fastlane.inc",
        "image": "548f5e2072493a829319359384ba3c49",
        "image_source": null,
        "web": "",
        "phone": "",
        "fax": "",
        "mobile": "",
        "department": null,
        "street": "",
        "zip": "",
        "city": "",
        "country": "",
        "address": null,
        "vip": false,
        "verified": false,
        "active": true,
        "note": "",
        "last_login": null,
        "source": null,
        "login_failed": 0,
        "out_of_office": false,
        "out_of_office_start_at": null,
        "out_of_office_end_at": null,
        "out_of_office_replacement_id": null,
        "preferences": {
          "intro": true,
          "keyboard_shortcuts_clues": true,
          "notification_config": {
            "matrix": {
              "create": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": true,
                  "subscribed": true,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              },
              "update": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": true,
                  "subscribed": true,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              },
              "reminder_reached": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": false,
                  "subscribed": false,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              },
              "escalation": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": false,
                  "subscribed": false,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              }
            }
          }
        },
        "updated_by_id": 3,
        "created_by_id": 3,
        "created_at": "2025-01-14T07:46:19.288Z",
        "updated_at": "2025-01-14T07:46:26.202Z",
        "role_ids": [
          2
        ],
        "two_factor_preference_ids": [],
        "organization_ids": [],
        "authorization_ids": [],
        "overview_sorting_ids": [],
        "group_ids": {
          "3": [
            "full"
          ],
          "4": [
            "full"
          ]
        }
      },
      "8": {
        "id": 8,
        "organization_id": 2,
        "login": "alex@fastlane.inc",
        "firstname": "Alexander",
        "lastname": "Jensen",
        "email": "alex@fastlane.inc",
        "image": "8e837e5b08ef314f920f13e6b8e44b3f",
        "image_source": null,
        "web": "",
        "phone": "",
        "fax": "",
        "mobile": "",
        "department": null,
        "street": "",
        "zip": "",
        "city": "",
        "country": "",
        "address": null,
        "vip": false,
        "verified": false,
        "active": true,
        "note": "",
        "last_login": null,
        "source": null,
        "login_failed": 0,
        "out_of_office": false,
        "out_of_office_start_at": null,
        "out_of_office_end_at": null,
        "out_of_office_replacement_id": null,
        "preferences": {
          "intro": true,
          "keyboard_shortcuts_clues": true,
          "notification_config": {
            "matrix": {
              "create": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": true,
                  "subscribed": true,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              },
              "update": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": true,
                  "subscribed": true,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              },
              "reminder_reached": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": false,
                  "subscribed": false,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              },
              "escalation": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": false,
                  "subscribed": false,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              }
            }
          }
        },
        "updated_by_id": 3,
        "created_by_id": 3,
        "created_at": "2025-01-14T07:46:19.401Z",
        "updated_at": "2025-01-14T07:46:26.245Z",
        "role_ids": [
          2
        ],
        "two_factor_preference_ids": [],
        "organization_ids": [],
        "authorization_ids": [],
        "overview_sorting_ids": [],
        "group_ids": {
          "3": [
            "full"
          ]
        }
      },
      "9": {
        "id": 9,
        "organization_id": 2,
        "login": "emily@fastlane.inc",
        "firstname": "Emily",
        "lastname": "Wilson",
        "email": "emily@fastlane.inc",
        "image": "f527a90b9dc0c731005f5756bbd5a432",
        "image_source": null,
        "web": "",
        "phone": "",
        "fax": "",
        "mobile": "",
        "department": null,
        "street": "",
        "zip": "",
        "city": "",
        "country": "",
        "address": null,
        "vip": false,
        "verified": false,
        "active": true,
        "note": "",
        "last_login": null,
        "source": null,
        "login_failed": 0,
        "out_of_office": false,
        "out_of_office_start_at": null,
        "out_of_office_end_at": null,
        "out_of_office_replacement_id": null,
        "preferences": {
          "intro": true,
          "keyboard_shortcuts_clues": true,
          "notification_config": {
            "matrix": {
              "create": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": true,
                  "subscribed": true,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              },
              "update": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": true,
                  "subscribed": true,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              },
              "reminder_reached": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": false,
                  "subscribed": false,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              },
              "escalation": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": false,
                  "subscribed": false,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              }
            }
          }
        },
        "updated_by_id": 3,
        "created_by_id": 3,
        "created_at": "2025-01-14T07:46:19.514Z",
        "updated_at": "2025-01-14T07:46:26.301Z",
        "role_ids": [
          2
        ],
        "two_factor_preference_ids": [],
        "organization_ids": [],
        "authorization_ids": [],
        "overview_sorting_ids": [],
        "group_ids": {
          "3": [
            "full"
          ]
        }
      },
      "10": {
        "id": 10,
        "organization_id": 2,
        "login": "hannah@fastlane.inc",
        "firstname": "Hannah",
        "lastname": "Taylor",
        "email": "hannah@fastlane.inc",
        "image": "7b590e70915e7c33fff328f7e8fa0bb9",
        "image_source": null,
        "web": "",
        "phone": "",
        "fax": "",
        "mobile": "",
        "department": null,
        "street": "",
        "zip": "",
        "city": "",
        "country": "",
        "address": null,
        "vip": false,
        "verified": false,
        "active": true,
        "note": "",
        "last_login": null,
        "source": null,
        "login_failed": 0,
        "out_of_office": false,
        "out_of_office_start_at": null,
        "out_of_office_end_at": null,
        "out_of_office_replacement_id": null,
        "preferences": {
          "intro": true,
          "keyboard_shortcuts_clues": true,
          "notification_config": {
              "matrix": {
                "create": {
                  "criteria": {
                    "owned_by_me": true,
                    "owned_by_nobody": true,
                    "subscribed": true,
                    "no": false
                  },
                  "channel": {
                    "email": true,
                    "online": true
                  }
                },
                "update": {
                  "criteria": {
                    "owned_by_me": true,
                    "owned_by_nobody": true,
                    "subscribed": true,
                    "no": false
                  },
                  "channel": {
                    "email": true,
                    "online": true
                  }
                },
                "reminder_reached": {
                  "criteria": {
                    "owned_by_me": true,
                    "owned_by_nobody": false,
                    "subscribed": false,
                    "no": false
                  },
                  "channel": {
                    "email": true,
                    "online": true
                  }
                },
                "escalation": {
                  "criteria": {
                    "owned_by_me": true,
                    "owned_by_nobody": false,
                    "subscribed": false,
                    "no": false
                  },
                  "channel": {
                    "email": true,
                    "online": true
                  }
                }
              }
            }
          },
          "updated_by_id": 3,
          "created_by_id": 3,
          "created_at": "2025-01-14T07:46:19.638Z",
          "updated_at": "2025-01-14T07:46:26.406Z",
          "role_ids": [
            2,
            1
          ],
          "two_factor_preference_ids": [],
          "organization_ids": [],
          "authorization_ids": [],
          "overview_sorting_ids": [],
          "group_ids": {
            "2": [
              "full"
            ],
            "3": [
              "full"
            ],
            "4": [
              "full"
            ],
            "5": [
              "full"
            ],
            "6": [
              "full"
            ],
            "7": [
              "full"
            ],
            "8": [
              "full"
            ],
            "9": [
              "full"
            ],
            "10": [
              "full"
            ],
            "11": [
              "full"
            ]
          }
      },
      "11": {
        "id": 11,
        "organization_id": 2,
        "login": "jackson@fastlane.inc",
        "firstname": "Jackson",
        "lastname": "Lee",
        "email": "jackson@fastlane.inc",
        "image": "f60bee881cf1856275d4f770ab9f6063",
        "image_source": null,
        "web": "",
        "phone": "",
        "fax": "",
        "mobile": "",
        "department": null,
        "street": "",
        "zip": "",
        "city": "",
        "country": "",
        "address": null,
        "vip": false,
        "verified": false,
        "active": true,
        "note": "",
        "last_login": null,
        "source": null,
        "login_failed": 0,
        "out_of_office": false,
        "out_of_office_start_at": null,
        "out_of_office_end_at": null,
        "out_of_office_replacement_id": null,
        "preferences": {
          "intro": true,
          "keyboard_shortcuts_clues": true,
          "notification_config": {
            "matrix": {
              "create": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": true,
                  "subscribed": true,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              },
              "update": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": true,
                  "subscribed": true,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              },
              "reminder_reached": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": false,
                  "subscribed": false,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              },
              "escalation": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": false,
                  "subscribed": false,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              }
            }
          }
        },
        "updated_by_id": 3,
        "created_by_id": 3,
        "created_at": "2025-01-14T07:46:19.779Z",
        "updated_at": "2025-01-14T07:46:26.451Z",
        "role_ids": [
          2,
          1
        ],
        "two_factor_preference_ids": [],
        "organization_ids": [],
        "authorization_ids": [],
        "overview_sorting_ids": [],
        "group_ids": {
          "9": [
            "full"
          ],
          "10": [
            "full"
          ]
        }
      },
      "12": {
        "id": 12,
        "organization_id": 2,
        "login": "emily.t@fastlane.inc",
        "firstname": "Emily",
        "lastname": "Tran",
        "email": "emily.t@fastlane.inc",
        "image": "c9a8e23fe76079f0d249c87bcd145f95",
        "image_source": null,
        "web": "",
        "phone": "",
        "fax": "",
        "mobile": "",
        "department": null,
        "street": "",
        "zip": "",
        "city": "",
        "country": "",
        "address": null,
        "vip": false,
        "verified": false,
        "active": true,
        "note": "",
        "last_login": null,
        "source": null,
        "login_failed": 0,
        "out_of_office": false,
        "out_of_office_start_at": null,
        "out_of_office_end_at": null,
        "out_of_office_replacement_id": null,
        "preferences": {
          "intro": true,
          "keyboard_shortcuts_clues": true,
          "notification_config": {
            "matrix": {
              "create": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": true,
                  "subscribed": true,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              },
              "update": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": true,
                  "subscribed": true,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              },
              "reminder_reached": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": false,
                  "subscribed": false,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              },
              "escalation": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": false,
                  "subscribed": false,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              }
            }
          }
        },
        "updated_by_id": 3,
        "created_by_id": 3,
        "created_at": "2025-01-14T07:46:19.893Z",
        "updated_at": "2025-01-14T07:46:26.493Z",
        "role_ids": [
          2,
          1
        ],
        "two_factor_preference_ids": [],
        "organization_ids": [],
        "authorization_ids": [],
        "overview_sorting_ids": [],
        "group_ids": {
          "11": [
            "full"
          ]
        }
      },
      "2": {
        "id": 2,
        "organization_id": 1,
        "login": "nicole.braun@zammad.org",
        "firstname": "Nicole",
        "lastname": "Braun",
        "email": "nicole.braun@zammad.org",
        "image": null,
        "image_source": null,
        "web": "",
        "phone": "",
        "fax": "",
        "mobile": "",
        "department": "",
        "street": "",
        "zip": "",
        "city": "",
        "country": "",
        "address": "",
        "vip": false,
        "verified": false,
        "active": true,
        "note": "",
        "last_login": null,
        "source": null,
        "login_failed": 0,
        "out_of_office": false,
        "out_of_office_start_at": null,
        "out_of_office_end_at": null,
        "out_of_office_replacement_id": null,
        "preferences": {
          "tickets_closed": 0,
          "tickets_open": 1
        },
        "updated_by_id": 2,
        "created_by_id": 1,
        "created_at": "2025-01-14T07:45:08.641Z",
        "updated_at": "2025-01-14T07:45:20.373Z",
        "role_ids": [
          3
        ],
        "two_factor_preference_ids": [],
        "organization_ids": [],
        "authorization_ids": [],
        "overview_sorting_ids": [],
        "group_ids": {}
      }
    },
    "Role": {
      "2": {
        "id": 2,
        "name": "Agent",
        "preferences": {},
        "default_at_signup": false,
        "active": true,
        "note": "To work on Tickets.",
        "updated_by_id": 3,
        "created_by_id": 1,
        "created_at": "2025-01-14T07:45:07.649Z",
        "updated_at": "2025-01-14T07:46:18.906Z",
        "permission_ids": [
          53,
          55,
          58,
          61,
          63
        ],
        "knowledge_base_permission_ids": [],
        "group_ids": {}
      },
      "1": {
        "id": 1,
        "name": "Admin",
        "preferences": {},
        "default_at_signup": false,
        "active": true,
        "note": "To configure your system.",
        "updated_by_id": 3,
        "created_by_id": 1,
        "created_at": "2025-01-14T07:45:07.630Z",
        "updated_at": "2025-01-14T07:46:19.646Z",
        "permission_ids": [
          1,
          57,
          59,
          63
        ],
        "knowledge_base_permission_ids": [],
        "group_ids": {}
      },
      "3": {
        "id": 3,
        "name": "Customer",
        "preferences": {},
        "default_at_signup": true,
        "active": true,
        "note": "People who create Tickets ask for help.",
        "updated_by_id": 3,
        "created_by_id": 1,
        "created_at": "2025-01-14T07:45:07.659Z",
        "updated_at": "2025-01-14T07:46:20.165Z",
        "permission_ids": [
          62,
          64,
          65,
          66,
          68,
          69,
          72
        ],
        "knowledge_base_permission_ids": [],
        "group_ids": {}
      }
    },
    "Organization": {
      "2": {
        "id": 2,
        "name": "Fast Lane Hardware",
        "shared": true,
        "domain": "",
        "domain_assignment": false,
        "active": true,
        "vip": false,
        "note": "IT hardware and custom PC builds",
        "updated_by_id": 1,
        "created_by_id": 1,
        "created_at": "2025-01-14T07:46:17.574Z",
        "updated_at": "2025-01-14T07:46:17.574Z",
        "member_ids": [
          3,
          4,
          5,
          6,
          7,
          8,
          9,
          10,
          11,
          12,
          13,
          14
        ],
        "secondary_member_ids": []
      },
      "1": {
        "id": 1,
        "name": "Zammad Foundation",
        "shared": true,
        "domain": "",
        "domain_assignment": false,
        "active": true,
        "vip": false,
        "note": "",
        "updated_by_id": 1,
        "created_by_id": 1,
        "created_at": "2025-01-14T07:45:08.597Z",
        "updated_at": "2025-01-14T07:45:08.699Z",
        "member_ids": [
          2
        ],
        "secondary_member_ids": []
      }
    }
  },
  "total_count": 1
}
```

#### With total count parameter

Usando questo parametro verrà anche emessa la quantità di risultati di
ricerca. Può essere combinato.

Richiesta `GET` inviata:
`/api/v1/tickets/search?query=welcome&full=true&with_total_count=true`

```json
// HTTP-Code 200 OK

{
  "record_ids": [
    2,
    1
  ],
  "assets": {
    "Ticket": {
      "1": {
        "id": 1,
        "group_id": 1,
        "priority_id": 2,
        "state_id": 1,
        "organization_id": 1,
        "number": "97001",
        "title": "Welcome to Zammad!",
        "owner_id": 1,
        "customer_id": 2,
        "note": null,
        "first_response_at": null,
        "first_response_escalation_at": null,
        "first_response_in_min": null,
        "first_response_diff_in_min": null,
        "close_at": null,
        "close_escalation_at": null,
        "close_in_min": null,
        "close_diff_in_min": null,
        "update_escalation_at": null,
        "update_in_min": null,
        "update_diff_in_min": null,
        "last_close_at": null,
        "last_contact_at": "2025-06-27T08:35:35.210Z",
        "last_contact_agent_at": null,
        "last_contact_customer_at": "2025-06-27T08:35:35.210Z",
        "last_owner_update_at": null,
        "create_article_type_id": 5,
        "create_article_sender_id": 2,
        "article_count": 1,
        "escalation_at": null,
        "pending_time": null,
        "type": null,
        "time_unit": null,
        "preferences": {},
        "updated_by_id": 2,
        "created_by_id": 2,
        "created_at": "2025-06-27T08:35:35.005Z",
        "updated_at": "2025-06-27T08:35:35.306Z",
        "checklist_id": null,
        "referencing_checklist_ids": [],
        "article_ids": [
          1
        ],
        "ticket_time_accounting_ids": [],
        "ai_stored_result_ids": [
          1,
          4
        ]
      },
      "2": {
        "id": 2,
        "group_id": 1,
        "priority_id": 2,
        "state_id": 2,
        "organization_id": 1,
        "number": "97002",
        "title": "Welcome again",
        "owner_id": 1,
        "customer_id": 2,
        "note": null,
        "first_response_at": null,
        "first_response_escalation_at": null,
        "first_response_in_min": null,
        "first_response_diff_in_min": null,
        "close_at": null,
        "close_escalation_at": null,
        "close_in_min": null,
        "close_diff_in_min": null,
        "update_escalation_at": null,
        "update_in_min": null,
        "update_diff_in_min": null,
        "last_close_at": null,
        "last_contact_at": "2025-07-02T11:46:41.117Z",
        "last_contact_agent_at": null,
        "last_contact_customer_at": "2025-07-02T11:46:41.117Z",
        "last_owner_update_at": null,
        "create_article_type_id": 5,
        "create_article_sender_id": 2,
        "article_count": 1,
        "escalation_at": null,
        "pending_time": null,
        "type": null,
        "time_unit": null,
        "preferences": {},
        "updated_by_id": 3,
        "created_by_id": 3,
        "created_at": "2025-07-02T11:46:41.040Z",
        "updated_at": "2025-07-02T11:46:41.210Z",
        "checklist_id": null,
        "referencing_checklist_ids": [],
        "article_ids": [
          2
        ],
        "ticket_time_accounting_ids": [],
        "ai_stored_result_ids": [
          2,
          3
        ]
      }
    },
    "Organization": {
      "1": {
        "id": 1,
        "name": "Zammad Foundation",
        "shared": true,
        "domain": "",
        "domain_assignment": false,
        "active": true,
        "vip": false,
        "note": "",
        "updated_by_id": 1,
        "created_by_id": 1,
        "created_at": "2025-06-27T08:35:34.797Z",
        "updated_at": "2025-07-02T11:46:41.105Z",
        "member_ids": [
          2
        ],
        "secondary_member_ids": []
      }
    },
    "User": {
      "1": {
        "id": 1,
        "organization_id": null,
        "login": "-",
        "firstname": "-",
        "lastname": "",
        "email": "",
        "image": null,
        "image_source": null,
        "web": "",
        "phone": "",
        "fax": "",
        "mobile": "",
        "department": "",
        "street": "",
        "zip": "",
        "city": "",
        "country": "",
        "address": "",
        "vip": false,
        "verified": false,
        "active": false,
        "note": "",
        "last_login": null,
        "source": null,
        "login_failed": 0,
        "out_of_office": false,
        "out_of_office_start_at": null,
        "out_of_office_end_at": null,
        "out_of_office_replacement_id": null,
        "preferences": {},
        "updated_by_id": 1,
        "created_by_id": 1,
        "created_at": "2025-06-27T08:35:31.793Z",
        "updated_at": "2025-06-27T08:35:31.793Z",
        "role_ids": [],
        "two_factor_preference_ids": [],
        "organization_ids": [],
        "authorization_ids": [],
        "overview_sorting_ids": [],
        "group_ids": {}
      },
      "2": {
        "id": 2,
        "organization_id": 1,
        "login": "nicole.braun@zammad.org",
        "firstname": "Nicole",
        "lastname": "Braun",
        "email": "nicole.braun@zammad.org",
        "image": null,
        "image_source": null,
        "web": "",
        "phone": "",
        "fax": "",
        "mobile": "",
        "department": "",
        "street": "",
        "zip": "",
        "city": "",
        "country": "",
        "address": "",
        "vip": false,
        "verified": false,
        "active": true,
        "note": "",
        "last_login": null,
        "source": null,
        "login_failed": 0,
        "out_of_office": false,
        "out_of_office_start_at": null,
        "out_of_office_end_at": null,
        "out_of_office_replacement_id": null,
        "preferences": {
          "tickets_closed": 0,
          "tickets_open": 2
        },
        "updated_by_id": 3,
        "created_by_id": 1,
        "created_at": "2025-06-27T08:35:34.872Z",
        "updated_at": "2025-07-02T11:46:41.840Z",
        "role_ids": [
          3
        ],
        "two_factor_preference_ids": [],
        "organization_ids": [],
        "authorization_ids": [],
        "overview_sorting_ids": [],
        "group_ids": {}
      },
      "3": {
        "id": 3,
        "organization_id": null,
        "login": "admin@example.com",
        "firstname": "Test",
        "lastname": "Admin",
        "email": "admin@example.com",
        "image": null,
        "image_source": null,
        "web": "",
        "phone": "",
        "fax": "",
        "mobile": "",
        "department": null,
        "street": "",
        "zip": "",
        "city": "",
        "country": "",
        "address": null,
        "vip": false,
        "verified": false,
        "active": true,
        "note": "",
        "last_login": "2025-07-02T08:54:52.403Z",
        "source": null,
        "login_failed": 0,
        "out_of_office": false,
        "out_of_office_start_at": null,
        "out_of_office_end_at": null,
        "out_of_office_replacement_id": null,
        "preferences": {
          "notification_config": {
            "matrix": {
              "create": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": true,
                  "subscribed": true,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              },
              "update": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": true,
                  "subscribed": true,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              },
              "reminder_reached": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": false,
                  "subscribed": false,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              },
              "escalation": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": false,
                  "subscribed": false,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              }
            }
          },
          "locale": "de-de",
          "intro": true,
          "keyboard_shortcuts_clues": true,
          "overviews_last_used": {
            "1": "2025-06-27T09:27:26.333Z",
            "5": "2025-06-27T09:27:28.222Z"
          },
          "theme": "light"
        },
        "updated_by_id": 3,
        "created_by_id": 1,
        "created_at": "2025-06-27T09:27:00.302Z",
        "updated_at": "2025-07-02T14:20:57.498Z",
        "role_ids": [
          1,
          2
        ],
        "two_factor_preference_ids": [],
        "organization_ids": [],
        "authorization_ids": [],
        "overview_sorting_ids": [],
        "group_ids": {
          "1": [
            "full"
          ]
        }
      }
    }
  },
  "total_count": 2
}
```

#### Only total count parameter

Usando questo parametro `only_total_count` verrà emessa solo la quantità di
risultati di ricerca.

Richiesta `GET` inviata:
`/api/v1/tickets/search?query=welcome&only_total_count=true`

```json
// HTTP-Code 200 OK

{
   "total_count": 1
}

```

### Global search

Se hai bisogno di cercare non solo in un tipo di oggetto specifico, puoi
farlo usando la ricerca globale.

Richiesta `GET` inviata: `/api/v1/search?query=welcome`

```json
// HTTP-Code 200 OK

{
  "assets": {
    "Ticket": {
      "1": {
        "id": 1,
        "group_id": 1,
        "priority_id": 2,
        "state_id": 1,
        "organization_id": 1,
        "number": "20001",
        "title": "Welcome to Zammad!",
        "owner_id": 1,
        "customer_id": 2,
        "note": null,
        "first_response_at": null,
        "first_response_escalation_at": null,
        "first_response_in_min": null,
        "first_response_diff_in_min": null,
        "close_at": null,
        "close_escalation_at": null,
        "close_in_min": null,
        "close_diff_in_min": null,
        "update_escalation_at": null,
        "update_in_min": null,
        "update_diff_in_min": null,
        "last_close_at": null,
        "last_contact_at": "2025-01-14T07:45:08.726Z",
        "last_contact_agent_at": null,
        "last_contact_customer_at": "2025-01-14T07:45:08.726Z",
        "last_owner_update_at": null,
        "create_article_type_id": 5,
        "create_article_sender_id": 2,
        "article_count": 1,
        "escalation_at": null,
        "pending_time": null,
        "type": null,
        "time_unit": null,
        "preferences": {},
        "updated_by_id": 2,
        "created_by_id": 2,
        "created_at": "2025-01-14T07:45:08.681Z",
        "updated_at": "2025-01-14T07:45:08.790Z",
        "checklist_id": null,
        "referencing_checklist_ids": [],
        "article_ids": [
          1
        ],
        "ticket_time_accounting_ids": []
      }
    },
    "Group": {
      "1": {
        "id": 1,
        "signature_id": 1,
        "email_address_id": 1,
        "name": "Users",
        "name_last": "Users",
        "parent_id": null,
        "assignment_timeout": null,
        "follow_up_possible": "yes",
        "reopen_time_in_days": null,
        "follow_up_assignment": true,
        "active": true,
        "shared_drafts": true,
        "note": "Standard Group/Pool for Tickets.",
        "updated_by_id": 3,
        "created_by_id": 1,
        "created_at": "2025-01-14T07:45:08.274Z",
        "updated_at": "2025-01-14T07:46:20.513Z",
        "user_ids": [
          3
        ]
      },
      "2": {
        "id": 2,
        "signature_id": null,
        "email_address_id": null,
        "name": "Support",
        "name_last": "Support",
        "parent_id": null,
        "assignment_timeout": null,
        "follow_up_possible": "yes",
        "reopen_time_in_days": null,
        "follow_up_assignment": true,
        "active": true,
        "shared_drafts": true,
        "note": null,
        "updated_by_id": 3,
        "created_by_id": 3,
        "created_at": "2025-01-14T07:46:20.548Z",
        "updated_at": "2025-01-14T07:46:20.636Z",
        "user_ids": [
          4,
          10,
          3
        ]
      },
      "3": {
        "id": 3,
        "signature_id": null,
        "email_address_id": null,
        "name": "Support::1st Level",
        "name_last": "1st Level",
        "parent_id": 2,
        "assignment_timeout": null,
        "follow_up_possible": "yes",
        "reopen_time_in_days": null,
        "follow_up_assignment": true,
        "active": true,
        "shared_drafts": true,
        "note": null,
        "updated_by_id": 3,
        "created_by_id": 3,
        "created_at": "2025-01-14T07:46:20.696Z",
        "updated_at": "2025-01-14T07:46:20.895Z",
        "user_ids": [
          7,
          6,
          8,
          4,
          9,
          5,
          10,
          3
        ]
      },
      "4": {
        "id": 4,
        "signature_id": null,
        "email_address_id": null,
        "name": "Support::2nd Level",
        "name_last": "2nd Level",
        "parent_id": 2,
        "assignment_timeout": null,
        "follow_up_possible": "yes",
        "reopen_time_in_days": null,
        "follow_up_assignment": true,
        "active": true,
        "shared_drafts": true,
        "note": null,
        "updated_by_id": 3,
        "created_by_id": 3,
        "created_at": "2025-01-14T07:46:20.946Z",
        "updated_at": "2025-01-14T07:46:21.085Z",
        "user_ids": [
          7,
          6,
          4,
          5,
          10,
          3
        ]
      },
      "5": {
        "id": 5,
        "signature_id": null,
        "email_address_id": null,
        "name": "Sales",
        "name_last": "Sales",
        "parent_id": null,
        "assignment_timeout": null,
        "follow_up_possible": "yes",
        "reopen_time_in_days": null,
        "follow_up_assignment": true,
        "active": true,
        "shared_drafts": true,
        "note": null,
        "updated_by_id": 3,
        "created_by_id": 3,
        "created_at": "2025-01-14T07:46:21.149Z",
        "updated_at": "2025-01-14T07:46:21.249Z",
        "user_ids": [
          14,
          13,
          10,
          3
        ]
      },
      "6": {
        "id": 6,
        "signature_id": null,
        "email_address_id": null,
        "name": "Logistics Department",
        "name_last": "Logistics Department",
        "parent_id": null,
        "assignment_timeout": null,
        "follow_up_possible": "yes",
        "reopen_time_in_days": null,
        "follow_up_assignment": true,
        "active": true,
        "shared_drafts": true,
        "note": null,
        "updated_by_id": 3,
        "created_by_id": 3,
        "created_at": "2025-01-14T07:46:21.307Z",
        "updated_at": "2025-01-14T07:46:21.389Z",
        "user_ids": [
          13,
          10,
          3
        ]
      },
      "7": {
        "id": 7,
        "signature_id": null,
        "email_address_id": null,
        "name": "Logistics Department::Shipping",
        "name_last": "Shipping",
        "parent_id": 6,
        "assignment_timeout": null,
        "follow_up_possible": "yes",
        "reopen_time_in_days": null,
        "follow_up_assignment": true,
        "active": true,
        "shared_drafts": true,
        "note": null,
        "updated_by_id": 3,
        "created_by_id": 3,
        "created_at": "2025-01-14T07:46:21.447Z",
        "updated_at": "2025-01-14T07:46:21.531Z",
        "user_ids": [
          13,
          10,
          3
        ]
      },
      "8": {
        "id": 8,
        "signature_id": null,
        "email_address_id": null,
        "name": "Logistics Department::Returns Processing",
        "name_last": "Returns Processing",
        "parent_id": 6,
        "assignment_timeout": null,
        "follow_up_possible": "yes",
        "reopen_time_in_days": null,
        "follow_up_assignment": true,
        "active": true,
        "shared_drafts": true,
        "note": null,
        "updated_by_id": 3,
        "created_by_id": 3,
        "created_at": "2025-01-14T07:46:21.570Z",
        "updated_at": "2025-01-14T07:46:21.633Z",
        "user_ids": [
          13,
          10,
          3
        ]
      },
      "9": {
        "id": 9,
        "signature_id": null,
        "email_address_id": null,
        "name": "IT Internal",
        "name_last": "IT Internal",
        "parent_id": null,
        "assignment_timeout": null,
        "follow_up_possible": "yes",
        "reopen_time_in_days": null,
        "follow_up_assignment": true,
        "active": true,
        "shared_drafts": true,
        "note": null,
        "updated_by_id": 3,
        "created_by_id": 3,
        "created_at": "2025-01-14T07:46:21.673Z",
        "updated_at": "2025-01-14T07:46:21.761Z",
        "user_ids": [
          11,
          10,
          3
        ]
      },
      "10": {
        "id": 10,
        "signature_id": null,
        "email_address_id": null,
        "name": "IT Internal::Infrastructure",
        "name_last": "Infrastructure",
        "parent_id": 9,
        "assignment_timeout": null,
        "follow_up_possible": "yes",
        "reopen_time_in_days": null,
        "follow_up_assignment": true,
        "active": true,
        "shared_drafts": true,
        "note": null,
        "updated_by_id": 3,
        "created_by_id": 3,
        "created_at": "2025-01-14T07:46:21.813Z",
        "updated_at": "2025-01-14T07:46:21.881Z",
        "user_ids": [
          11,
          10,
          3
        ]
      },
      "11": {
        "id": 11,
        "signature_id": null,
        "email_address_id": null,
        "name": "IT Internal::IT Support",
        "name_last": "IT Support",
        "parent_id": 9,
        "assignment_timeout": null,
        "follow_up_possible": "yes",
        "reopen_time_in_days": null,
        "follow_up_assignment": true,
        "active": true,
        "shared_drafts": true,
        "note": null,
        "updated_by_id": 3,
        "created_by_id": 3,
        "created_at": "2025-01-14T07:46:21.932Z",
        "updated_at": "2025-01-14T07:46:21.995Z",
        "user_ids": [
          12,
          10,
          3
        ]
      }
    },
    "User": {
      "1": {
        "id": 1,
        "organization_id": null,
        "login": "-",
        "firstname": "-",
        "lastname": "",
        "email": "",
        "image": null,
        "image_source": null,
        "web": "",
        "phone": "",
        "fax": "",
        "mobile": "",
        "department": "",
        "street": "",
        "zip": "",
        "city": "",
        "country": "",
        "address": "",
        "vip": false,
        "verified": false,
        "active": false,
        "note": "",
        "last_login": null,
        "source": null,
        "login_failed": 0,
        "out_of_office": false,
        "out_of_office_start_at": null,
        "out_of_office_end_at": null,
        "out_of_office_replacement_id": null,
        "preferences": {},
        "updated_by_id": 1,
        "created_by_id": 1,
        "created_at": "2025-01-14T07:45:07.542Z",
        "updated_at": "2025-01-14T07:45:07.542Z",
        "role_ids": [],
        "two_factor_preference_ids": [],
        "organization_ids": [],
        "authorization_ids": [],
        "overview_sorting_ids": [],
        "group_ids": {}
      },
      "3": {
        "id": 3,
        "organization_id": 2,
        "login": "lauren@fastlane.inc",
        "firstname": "Lauren",
        "lastname": "Brooks",
        "email": "lauren@fastlane.inc",
        "image": "775c807d577dbd6bd95569ec1872f338",
        "image_source": null,
        "web": "",
        "phone": "",
        "fax": "",
        "mobile": "",
        "department": null,
        "street": "",
        "zip": "",
        "city": "",
        "country": "",
        "address": null,
        "vip": false,
        "verified": false,
        "active": true,
        "note": "",
        "last_login": "2025-01-14T07:46:54.082Z",
        "source": null,
        "login_failed": 0,
        "out_of_office": false,
        "out_of_office_start_at": null,
        "out_of_office_end_at": null,
        "out_of_office_replacement_id": null,
        "preferences": {
          "intro": true,
          "keyboard_shortcuts_clues": true,
          "notification_config": {
            "matrix": {
              "create": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": true,
                  "subscribed": true,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              },
              "update": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": true,
                  "subscribed": true,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              },
              "reminder_reached": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": false,
                  "subscribed": false,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              },
              "escalation": {
                "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": false,
                  "subscribed": false,
                  "no": false
                },
                "channel": {
                  "email": true,
                  "online": true
                }
              }
            }
          },
          "locale": "en-us"
        },
        "updated_by_id": 3,
        "created_by_id": 1,
        "created_at": "2025-01-14T07:46:17.855Z",
        "updated_at": "2025-01-14T07:46:58.108Z",
        "role_ids": [
          2,
          1
        ],
        "two_factor_preference_ids": [],
        "organization_ids": [],
        "authorization_ids": [],
        "overview_sorting_ids": [],
        "group_ids": {
          "1": [
            "full"
          ],
          "2": [
            "full"
          ],
          "3": [
            "full"
          ],
          "4": [
            "full"
          ],
          "5": [
            "full"
          ],
          "6": [
            "full"
          ],
          "7": [
            "full"
          ],
          "8": [
            "full"
          ],
          "9": [
            "full"
          ],
          "10": [
            "full"
          ],
          "11": [
            "full"
          ]
        }
        },
        "4": {
          "id": 4,
          "organization_id": 2,
          "login": "ethan@fastlane.inc",
          "firstname": "Ethan",
          "lastname": "Kwan",
          "email": "ethan@fastlane.inc",
          "image": "3c3a37e93647e40c595937e336953de8",
          "image_source": null,
          "web": "",
          "phone": "",
          "fax": "",
          "mobile": "",
          "department": null,
          "street": "",
          "zip": "",
          "city": "",
          "country": "",
          "address": null,
          "vip": false,
          "verified": false,
          "active": true,
          "note": "",
          "last_login": null,
          "source": null,
          "login_failed": 0,
          "out_of_office": false,
          "out_of_office_start_at": null,
          "out_of_office_end_at": null,
          "out_of_office_replacement_id": null,
          "preferences": {
            "intro": true,
            "keyboard_shortcuts_clues": true,
            "notification_config": {
              "matrix": {
                "create": {
                  "criteria": {
                    "owned_by_me": true,
                    "owned_by_nobody": true,
                    "subscribed": true,
                    "no": false
                  },
                  "channel": {
                    "email": true,
                    "online": true
                  }
                },
                "update": {
                  "criteria": {
                    "owned_by_me": true,
                    "owned_by_nobody": true,
                    "subscribed": true,
                    "no": false
                  },
                  "channel": {
                    "email": true,
                    "online": true
                  }
                },
                "reminder_reached": {
                  "criteria": {
                    "owned_by_me": true,
                    "owned_by_nobody": false,
                    "subscribed": false,
                    "no": false
                  },
                  "channel": {
                    "email": true,
                    "online": true
                  }
                },
                "escalation": {
                  "criteria": {
                    "owned_by_me": true,
                    "owned_by_nobody": false,
                    "subscribed": false,
                    "no": false
                  },
                  "channel": {
                    "email": true,
                    "online": true
                  }
                }
              }
            }
          },
          "updated_by_id": 3,
          "created_by_id": 3,
          "created_at": "2025-01-14T07:46:18.901Z",
          "updated_at": "2025-01-14T07:46:26.067Z",
          "role_ids": [
            2
          ],
          "two_factor_preference_ids": [],
          "organization_ids": [],
          "authorization_ids": [],
          "overview_sorting_ids": [],
          "group_ids": {
            "2": [
            "full"
            ],
            "3": [
            "full"
            ],
            "4": [
            "full"
            ]
          }
        },
        "5": {
          "id": 5,
          "organization_id": 2,
          "login": "julian@fastlane.inc",
          "firstname": "Julian",
          "lastname": "Reyes",
          "email": "julian@fastlane.inc",
          "image": "5ead44f8048cd52d94198bbb7aa1c0cc",
          "image_source": null,
          "web": "",
          "phone": "",
          "fax": "",
          "mobile": "",
          "department": null,
          "street": "",
          "zip": "",
          "city": "",
          "country": "",
          "address": null,
          "vip": false,
          "verified": false,
          "active": true,
          "note": "",
          "last_login": null,
          "source": null,
          "login_failed": 0,
          "out_of_office": false,
          "out_of_office_start_at": null,
          "out_of_office_end_at": null,
          "out_of_office_replacement_id": null,
          "preferences": {
            "intro": true,
            "keyboard_shortcuts_clues": true,
            "notification_config": {
              "matrix": {
                "create": {
                  "criteria": {
                  "owned_by_me": true,
                  "owned_by_nobody": true,
                  "subscribed": true,
                  "no": false
                  },
                  "channel": {
                    "email": true,
                    "online": true
                  }
                },
                "update": {
                  "criteria": {
                    "owned_by_me": true,
                    "owned_by_nobody": true,
                    "subscribed": true,
                    "no": false
                  },
                  "channel": {
                    "email": true,
                    "online": true
                  }
                },
                "reminder_reached": {
                  "criteria": {
                    "owned_by_me": true,
                    "owned_by_nobody": false,
                    "subscribed": false,
                    "no": false
                  },
                  "channel": {
                    "email": true,
                    "online": true
                  }
                },
                "escalation": {
                  "criteria": {
                    "owned_by_me": true,
                    "owned_by_nobody": false,
                    "subscribed": false,
                    "no": false
                  },
                  "channel": {
                    "email": true,
                    "online": true
                  }
                }
              }
            }
          },
          "updated_by_id": 3,
          "created_by_id": 3,
          "created_at": "2025-01-14T07:46:19.051Z",
          "updated_at": "2025-01-14T07:46:26.113Z",
          "role_ids": [
            2
          ],
          "two_factor_preference_ids": [],
          "organization_ids": [],
          "authorization_ids": [],
          "overview_sorting_ids": [],
          "group_ids": {
            "3": [
              "full"
            ],
            "4": [
              "full"
            ]
          }
        },
        "6": {
          "id": 6,
          "organization_id": 2,
          "login": "thomas@fastlane.inc",
          "firstname": "Thomas",
          "lastname": "Lee",
          "email": "thomas@fastlane.inc",
          "image": "32340889dbe9bc093f9304d1f708ca6f",
          "image_source": null,
          "web": "",
          "phone": "",
          "fax": "",
          "mobile": "",
          "department": null,
          "street": "",
          "zip": "",
          "city": "",
          "country": "",
          "address": null,
          "vip": false,
          "verified": false,
          "active": true,
          "note": "",
          "last_login": null,
          "source": null,
          "login_failed": 0,
          "out_of_office": false,
          "out_of_office_start_at": null,
          "out_of_office_end_at": null,
          "out_of_office_replacement_id": null,
          "preferences": {
            "intro": true,
            "keyboard_shortcuts_clues": true,
            "notification_config": {
              "matrix": {
                "create": {
                  "criteria": {
                    "owned_by_me": true,
                    "owned_by_nobody": true,
                    "subscribed": true,
                    "no": false
                  },
                  "channel": {
                    "email": true,
                    "online": true
                  }
                },
                "update": {
                  "criteria": {
                    "owned_by_me": true,
                    "owned_by_nobody": true,
                    "subscribed": true,
                    "no": false
                  },
                  "channel": {
                    "email": true,
                    "online": true
                  }
                },
                "reminder_reached": {
                  "criteria": {
                    "owned_by_me": true,
                    "owned_by_nobody": false,
                    "subscribed": false,
                    "no": false
                  },
                  "channel": {
                    "email": true,
                    "online": true
                  }
                },
                "escalation": {
                  "criteria": {
                    "owned_by_me": true,
                    "owned_by_nobody": false,
                    "subscribed": false,
                    "no": false
                  },
                  "channel": {
                    "email": true,
                    "online": true
                  }
                }
              }
            }
          },
          "updated_by_id": 3,
          "created_by_id": 3,
          "created_at": "2025-01-14T07:46:19.161Z",
          "updated_at": "2025-01-14T07:46:26.156Z",
          "role_ids": [
            2
          ],
          "two_factor_preference_ids": [],
          "organization_ids": [],
          "authorization_ids": [],
          "overview_sorting_ids": [],
          "group_ids": {
            "3": [
            "full"
            ],
            "4": [
            "full"
            ]
          }
        },
        "7": {
          "id": 7,
          "organization_id": 2,
          "login": "liam@fastlane.inc",
          "firstname": "Liam",
          "lastname": "Chen",
          "email": "liam@fastlane.inc",
          "image": "548f5e2072493a829319359384ba3c49",
          "image_source": null,
          "web": "",
          "phone": "",
          "fax": "",
          "mobile": "",
          "department": null,
          "street": "",
          "zip": "",
          "city": "",
          "country": "",
          "address": null,
          "vip": false,
          "verified": false,
          "active": true,
          "note": "",
          "last_login": null,
          "source": null,
          "login_failed": 0,
          "out_of_office": false,
          "out_of_office_start_at": null,
          "out_of_office_end_at": null,
          "out_of_office_replacement_id": null,
          "preferences": {
            "intro": true,
            "keyboard_shortcuts_clues": true,
            "notification_config": {
              "matrix": {
                "create": {
                  "criteria": {
                    "owned_by_me": true,
                    "owned_by_nobody": true,
                    "subscribed": true,
                    "no": false
                  },
                  "channel": {
                    "email": true,
                    "online": true
                  }
                },
                "update": {
                  "criteria": {
                    "owned_by_me": true,
                    "owned_by_nobody": true,
                    "subscribed": true,
                    "no": false
                  },
                  "channel": {
                    "email": true,
                    "online": true
                  }
                },
                "reminder_reached": {
                  "criteria": {
                    "owned_by_me": true,
                    "owned_by_nobody": false,
                    "subscribed": false,
                    "no": false
                  },
                  "channel": {
                    "email": true,
                    "online": true
                  }
                },
                "escalation": {
                  "criteria": {
                    "owned_by_me": true,
                    "owned_by_nobody": false,
                    "subscribed": false,
                    "no": false
                  },
                  "channel": {
                    "email": true,
                    "online": true
                  }
                }
              }
            }
          },
          "updated_by_id": 3,
          "created_by_id": 3,
          "created_at": "2025-01-14T07:46:19.288Z",
          "updated_at": "2025-01-14T07:46:26.202Z",
          "role_ids": [
            2
          ],
          "two_factor_preference_ids": [],
          "organization_ids": [],
          "authorization_ids": [],
          "overview_sorting_ids": [],
          "group_ids": {
            "3": [
              "full"
            ],
            "4": [
              "full"
            ]
          }
        },
        "8": {
          "id": 8,
          "organization_id": 2,
          "login": "alex@fastlane.inc",
          "firstname": "Alexander",
          "lastname": "Jensen",
          "email": "alex@fastlane.inc",
          "image": "8e837e5b08ef314f920f13e6b8e44b3f",
          "image_source": null,
          "web": "",
          "phone": "",
          "fax": "",
          "mobile": "",
          "department": null,
          "street": "",
          "zip": "",
          "city": "",
          "country": "",
          "address": null,
          "vip": false,
          "verified": false,
          "active": true,
          "note": "",
          "last_login": null,
          "source": null,
          "login_failed": 0,
          "out_of_office": false,
          "out_of_office_start_at": null,
          "out_of_office_end_at": null,
          "out_of_office_replacement_id": null,
          "preferences": {
            "intro": true,
            "keyboard_shortcuts_clues": true,
            "notification_config": {
              "matrix": {
                "create": {
                  "criteria": {
                    "owned_by_me": true,
                    "owned_by_nobody": true,
                    "subscribed": true,
                    "no": false
                  },
                  "channel": {
                    "email": true,
                    "online": true
                  }
                },
                "update": {
                  "criteria": {
                    "owned_by_me": true,
                    "owned_by_nobody": true,
                    "subscribed": true,
                    "no": false
                  },
                  "channel": {
                    "email": true,
                    "online": true
                  }
                },
                "reminder_reached": {
                  "criteria": {
                    "owned_by_me": true,
                    "owned_by_nobody": false,
                    "subscribed": false,
                    "no": false
                  },
                  "channel": {
                    "email": true,
                    "online": true
                  }
                },
                "escalation": {
                  "criteria": {
                    "owned_by_me": true,
                    "owned_by_nobody": false,
                    "subscribed": false,
                    "no": false
                  },
                  "channel": {
                    "email": true,
                    "online": true
                  }
                }
              }
            }
          },
          "updated_by_id": 3,
          "created_by_id": 3,
          "created_at": "2025-01-14T07:46:19.401Z",
          "updated_at": "2025-01-14T07:46:26.245Z",
          "role_ids": [
            2
          ],
          "two_factor_preference_ids": [],
          "organization_ids": [],
          "authorization_ids": [],
          "overview_sorting_ids": [],
          "group_ids": {
            "3": [
              "full"
            ]
          }
        },
        "9": {
          "id": 9,
          "organization_id": 2,
          "login": "emily@fastlane.inc",
          "firstname": "Emily",
          "lastname": "Wilson",
          "email": "emily@fastlane.inc",
          "image": "f527a90b9dc0c731005f5756bbd5a432",
          "image_source": null,
          "web": "",
          "phone": "",
          "fax": "",
          "mobile": "",
          "department": null,
          "street": "",
          "zip": "",
          "city": "",
          "country": "",
          "address": null,
          "vip": false,
          "verified": false,
          "active": true,
          "note": "",
          "last_login": null,
          "source": null,
          "login_failed": 0,
          "out_of_office": false,
          "out_of_office_start_at": null,
          "out_of_office_end_at": null,
          "out_of_office_replacement_id": null,
          "preferences": {
            "intro": true,
            "keyboard_shortcuts_clues": true,
            "notification_config": {
              "matrix": {
                "create": {
                  "criteria": {
                    "owned_by_me": true,
                    "owned_by_nobody": true,
                    "subscribed": true,
                    "no": false
                  },
                  "channel": {
                    "email": true,
                    "online": true
                  }
                },
                "update": {
                  "criteria": {
                    "owned_by_me": true,
                    "owned_by_nobody": true,
                    "subscribed": true,
                    "no": false
                  },
                  "channel": {
                    "email": true,
                    "online": true
                  }
                },
                "reminder_reached": {
                  "criteria": {
                    "owned_by_me": true,
                    "owned_by_nobody": false,
                    "subscribed": false,
                    "no": false
                  },
                  "channel": {
                    "email": true,
                    "online": true
                  }
                },
                "escalation": {
                  "criteria": {
                    "owned_by_me": true,
                    "owned_by_nobody": false,
                    "subscribed": false,
                    "no": false
                  },
                  "channel": {
                    "email": true,
                    "online": true
                  }
                }
              }
            }
          },
          "updated_by_id": 3,
          "created_by_id": 3,
          "created_at": "2025-01-14T07:46:19.514Z",
          "updated_at": "2025-01-14T07:46:26.301Z",
          "role_ids": [
            2
          ],
          "two_factor_preference_ids": [],
          "organization_ids": [],
          "authorization_ids": [],
          "overview_sorting_ids": [],
          "group_ids": {
            "3": [
              "full"
            ]
          }
        },
        "10": {
          "id": 10,
          "organization_id": 2,
          "login": "hannah@fastlane.inc",
          "firstname": "Hannah",
          "lastname": "Taylor",
          "email": "hannah@fastlane.inc",
          "image": "7b590e70915e7c33fff328f7e8fa0bb9",
          "image_source": null,
          "web": "",
          "phone": "",
          "fax": "",
          "mobile": "",
          "department": null,
          "street": "",
          "zip": "",
          "city": "",
          "country": "",
          "address": null,
          "vip": false,
          "verified": false,
          "active": true,
          "note": "",
          "last_login": null,
          "source": null,
          "login_failed": 0,
          "out_of_office": false,
          "out_of_office_start_at": null,
          "out_of_office_end_at": null,
          "out_of_office_replacement_id": null,
          "preferences": {
            "intro": true,
            "keyboard_shortcuts_clues": true,
            "notification_config": {
              "matrix": {
                "create": {
[...]
